Library DEP_DLL1;
{$N+,E-,F+}
{$A+,B-,D-,R-,S-,V-,G+,Q-,Y-,X-,T-,P-}
{$C MOVEABLE DEMANDLOAD PERMANENT}


Procedure DEPDLL1_SET_SHORT_NAME(var s:string);export;
begin
  s:='Quadratic';
end;


Procedure DEPDLL1_SET_LONG_NAME(var s:string);export;
begin
  s:=':= User Programmed Function [ Quadratic ]';
end;


Procedure DEPDLL1_SET_NUMBER_OF_EXTRA_PARAMETERS(var n:longint);export;
begin
  n:=3;
end;


Procedure DEPDLL1_SET_PARAMETER_NAME(var s:string;n:longint);export;
begin
  Case n of
       1:s:='Constant';
       2:s:='Linear';
       3:s:='Quadratic';
  end;
end;



Procedure DEPDLL1_INITIALIZE_PARAMETER(var value,min,max:double;n:longint);export;
begin
  Case n of

       1:begin
           Value:=0.0;
           min:=0.0;
           max:=1.0;
         end;

       2:begin
           Value:=0.0;
           min:=-1.0;
           max:=1.0;
         end;

       3:begin
           Value:=0.0;
           min:=0.0;
           max:=1.0;
         end;

  end;
end;



Procedure DEPDLL1_SET_PARAMETER_VALUE(var x:double;pPARAMETERS:pointer);export;
Type
 TARRAY = ARRAY[1..8191] of DOUBLE;
var
 PARAMETERS:^TARRAY;
begin

   PARAMETERS:=pPARAMETERS;

   x:=PARAMETERS^[1]+PARAMETERS^[2]*PARAMETERS^[4]
                    +PARAMETERS^[3]*PARAMETERS^[4]*PARAMETERS^[4];

end;



exports

  DEPDLL1_SET_SHORT_NAME,
  DEPDLL1_SET_LONG_NAME,
  DEPDLL1_SET_NUMBER_OF_EXTRA_PARAMETERS,
  DEPDLL1_SET_PARAMETER_NAME,
  DEPDLL1_INITIALIZE_PARAMETER,
  DEPDLL1_SET_PARAMETER_VALUE;

begin
end.